body {
  text-wrap: balance;
}
body .brxe-text ul li {
  margin-bottom: 0.3em;
  list-style-type: circle;
}

:where([id]) {
  scroll-margin-block-start: 150px;
}

@keyframes float {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-10px);
  }
}
.sd-preloader {
  position: fixed;
  inset: 0;
  opacity: 1;
  background-color: var(--sd-light);
  z-index: 1000000;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  transition: all 300ms ease;
}
.sd-preloader.invisible {
  opacity: 0;
}
.sd-preloader.removed {
  display: none;
}
.sd-preloader .dot-spinner {
  --uib-size: 4.5rem;
  --uib-speed: .9s;
  --uib-color: var(--sd-primary);
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  height: var(--uib-size);
  width: var(--uib-size);
}
.sd-preloader .dot-spinner__dot {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  height: 100%;
  width: 100%;
}
.sd-preloader .dot-spinner__dot::before {
  content: "";
  height: 20%;
  width: 20%;
  border-radius: 50%;
  background-color: var(--uib-color);
  transform: scale(0);
  opacity: 0.5;
  animation: pulse0112 calc(var(--uib-speed) * 1.111) ease-in-out infinite;
  box-shadow: 0 0 20px rgba(18, 31, 53, 0.3);
}
.sd-preloader .dot-spinner__dot:nth-child(2) {
  transform: rotate(45deg);
}
.sd-preloader .dot-spinner__dot:nth-child(2)::before {
  animation-delay: calc(var(--uib-speed) * -0.875);
}
.sd-preloader .dot-spinner__dot:nth-child(3) {
  transform: rotate(90deg);
}
.sd-preloader .dot-spinner__dot:nth-child(3)::before {
  animation-delay: calc(var(--uib-speed) * -0.75);
}
.sd-preloader .dot-spinner__dot:nth-child(4) {
  transform: rotate(135deg);
}
.sd-preloader .dot-spinner__dot:nth-child(4)::before {
  animation-delay: calc(var(--uib-speed) * -0.625);
}
.sd-preloader .dot-spinner__dot:nth-child(5) {
  transform: rotate(180deg);
}
.sd-preloader .dot-spinner__dot:nth-child(5)::before {
  animation-delay: calc(var(--uib-speed) * -0.5);
}
.sd-preloader .dot-spinner__dot:nth-child(6) {
  transform: rotate(225deg);
}
.sd-preloader .dot-spinner__dot:nth-child(6)::before {
  animation-delay: calc(var(--uib-speed) * -0.375);
}
.sd-preloader .dot-spinner__dot:nth-child(7) {
  transform: rotate(270deg);
}
.sd-preloader .dot-spinner__dot:nth-child(7)::before {
  animation-delay: calc(var(--uib-speed) * -0.25);
}
.sd-preloader .dot-spinner__dot:nth-child(8) {
  transform: rotate(315deg);
}
.sd-preloader .dot-spinner__dot:nth-child(8)::before {
  animation-delay: calc(var(--uib-speed) * -0.125);
}

@keyframes pulse0112 {
  0%, 100% {
    transform: scale(0);
    opacity: 0.5;
  }
  50% {
    transform: scale(1);
    opacity: 1;
  }
}
body.sd-overlay-header header .header-section {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10000;
  transition: background-color var(--sd-transition-base) !important;
}

body .offcanvas-menu .mobile-nav__menu-item-has-submenu .mobile-nav__submenu {
  height: 0;
  transition: height var(--sd-transition-800) var(--sd-ease-in-out);
}
body .offcanvas-menu .mobile-nav__menu-item-has-submenu.active .mobile-nav__submenu {
  height: var(--brx-dropdown-height-before);
  margin-block: var(--sd-space-xs);
}

header .header-section__logo img {
  transition: all var(--sd-transition-base);
}
header.scrolling .header-section {
  box-shadow: var(--sd-shadow-m);
}
header.scrolling .header-section__logo img {
  height: 80px;
}

.ybf-menu__menu-item, .ybf-menu__menu-item-has-children .brx-submenu-toggle span {
  isolation: isolate;
  position: relative;
}
.ybf-menu__menu-item::before, .ybf-menu__menu-item-has-children .brx-submenu-toggle span::before {
  content: "";
  inset: 0;
  position: absolute;
  background: url(https://yogabefree.de/YBFstaging/wp-content/uploads/2026/01/menu-bg-ybf.png);
  background-position: left center;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  transform-origin: left;
  transition: all var(--sd-transition-300) var(--sd-ease-in-out);
  z-index: -1;
  clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
}
.ybf-menu__menu-item:hover::before, .ybf-menu__menu-item-has-children .brx-submenu-toggle span:hover::before {
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
}
.ybf-menu__menu-item:has(> .ybf-menu__nav-link[aria-current=page])::before {
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
}
.ybf-menu__menu-item-has-children:has(.ybf-menu__menu-item > .ybf-menu__nav-link[aria-current=page]) .brx-submenu-toggle span::before {
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
}
